#define N (1 << 23)
#define T (10)
#include <string.h>
double a[N],b[N];
void cleara(double a[N]) {
  int i;
  for (i = 0; i < N; i++) { 
    a[i] = 0; 
  }
}
int main() {
  double s=0,s2=0; int i,j;
  for (j = 0; j < T; j++) { 
    for (i = 0; i < N; i++) { 
      b[i] = 0; 
    }
    cleara(a);
    memset(a,0,sizeof(a));
    for (i = 0; i < N; i++) { 
      s += a[i] * b[i];
      s2 += a[i] * a[i] + b[i] * b[i];
    }
  }
  printf("s %d s2 %d\n",s,s2);
}
